## gnat-4.6 4.6.1-1

=== _MTN/debian/changelog ===
gnat-4.6 (4.6.0-1) unstable; urgency=low

  * Adjust patches to GCC 4.6.

  Merge from gcc-4.6 (4.6.0-1) unstable; urgency=low

  * GCC 4.6.0 release.

  * Build the gold LTO plugin for ppc64 (Hiroyuki Yamamoto). Fixes: #618865.
  * Fix PR target/48226, Allow Iterator::vector vector on powerpc with VSX,
    taken from the trunk.
  * Fix PR target/47487 ICE building libgo, taken from the trunk.
  * Merge multiarch changes from the gcc-4.5 package.
  * Apply proposed patch to reduce the overhead of dwarf2 location tracking.
    Addresses: #618748.

  Merge from gcc-4.6 (4.6.0~rc1-3) experimental; urgency=low

  * GCC 4.6.0 release candidate 2.

  Merge from gcc-4.6 (4.6.0~rc1-2) experimental; urgency=low

  [ Loic Minier ]
  * Rework config/vxworks-dummy.h installation snippet to test
    DEB_TARGET_GNU_CPU against patterns close to the upstream ones (arm% mips%
    sh% sparc%) as to also install this header on other ports targetting the
    relevant upstream CPUs such as armhf.  Add a comment pointing at the
    upstream bug.
  * Update __aeabi symbol handling to test whether DEB_TARGET_GNU_TYPE matches
    arm-linux-gnueabi% instead of testing whether DEB_TARGET_ARCH equals
    armel.  Add a comment pointing at the Debian bug and indicating that this
    is only useful for older dpkg-dev versions.
  * debian/rules.def: fix "armel" entry to "arm" in list of
    DEB_TARGET_ARCH_CPUs for Debian experimental GCC 4.5/4.6 libraries.
  * debian/rules2: drop commented out GCC #42509 workaround as this was fixed
    upstream in 4.4+.
  * Change bogus DEB_TARGET_GNU_CPU test on armel and armhf to just test for
    arm as ths is what the Debian arm, armel and armhf port use.
  * Rework snippet setting armv7 on Debian armhf / Ubuntu to avoid
    duplication, as a comment called out for.
  * Use "arm" instead of armel/armhf in DEB_TARGET_GNU_CPU test when deciding
    whether to enable profiledbootstrap.
  * Set DEJAGNU_TIMEOUT=600 on Ubuntu armhf as well.
  * Fix a couple more uses of armel or armhf against DEB_TARGET_GNU_CPU.
  * Patched a couple of comments mentioning armel to also mention armhf.
  * Add patch armhf-triplet-backport, support for arm-linux-*eabi* backported
    from a patch sent on the upstream mailing-list.

  [ Matthias Klose ]
  * Update libstdc++ symbols files.
  * Update libgfortran symbols files.

  Merge from gcc-4.6 (4.6.0~rc1-2) experimental; urgency=low

  * Update to SVN 20110320 (r171192) from the gcc-4_6-branch.

  [ Matthias Klose ]
  * Update gcc-default-ssp* patches for the release candidate.
  * Pass -Wno-error=unused-but-set-parameter if -Werror is present (temporary
    for rebuild tests).
  * Always configure --with-plugin-ld, always install liblto_plugin.so.

  [ Marcin Juszkiewicz ]
  * Add conflicts with -4.5-*dev packages. Fixes: #618450.

  [ Petr Salinger]
  * Disable lock-2.c test on kfreebsd-*. Fixes: #618988.
  * Re-enable parallel builds on kfreebsd.
  * Package lto_plugin for kfreebsd-* and Hurd.

  Merge from gcc-4.6 (4.6.0~rc1-1) experimental; urgency=low

  * Build from the GCC 4.6.0 release candidate tarball.

  [ Matthias Klose ]
  * Disable Go on powerpc. Fixes: #615827.
  * Fix lintian errors for the -plugin-dev package.
  * Update kbsd-gnu.diff (Petr Salinger). Fixes: #615826.
  * Disable parallel builds on kfreebsd (Petr Salinger).
  * Update gmp (build) dependencies.
  * Update GFDL compliant builds. Fixes: #609161.
  * For GFDL compliant builds, build a dummy s-tm-texi without access
    to the texinfo sources.
  
  [ Aurelien Jarno ]
  * Import symbol files for kfreebsd-amd64, kfreebsd-i386, sh4 and 
    sparc64 from gcc-4.5.

  Merge from gcc-4.6 (4.6-20110227-1) experimental; urgency=low

  [ Matthias Klose ]
  * Update libquadmath symbols file.
  * gcc-4.6-plugin-dev: Install gengtype.

  [ Sebastian Andrzej Siewior ]
  * Remove -many on powerpcspe (__SPE__).
  * Remove classic FPU opcodes from libgcc if target has no support for them
    (powerpcspe).

  Merge from gcc-4.6 (4.6-20110216-1) experimental; urgency=low

  * GCC snapshot, taken from the trunk.
  * Pass --no-add-needed by default to the linker. See
    http://wiki.debian.org/ToolChain/DSOLinking, section "Not resolving symbols
    in indirect dependent shared libraries" for more information.

  Merge from gcc-4.6 (4.6-20110125-1) experimental; urgency=low

  * debian/copyright: Add unicode copyright for
    libjava/classpath/resource/gnu/java/locale/* files. Addresses: #609161.

  Merge from gcc-4.6 (4.6-20110123-1) experimental; urgency=low

  * GCC snapshot, taken from the trunk.
  * Don't run the libstdc++ testsuite on mipsel, times out on the buildd.

  [ Marcin Juszkiewicz ]
  * Fix biarch/triarch cross builds.
    - dpkg-shlibdeps failed to find libraries for 64 or n32 builds
    - LD_LIBRARY_PATH for dpkg-shlibdeps lacked host dirs.

  Merge from gcc-4.6 (4.6-20110116-1) experimental; urgency=low

  * GCC snapshot, taken from the trunk.
  * Update patches for the trunk.
  * Pass -Wno-error=unused-but-set-variable if -Werror is present (temporary
    for rebuild tests).
  * Work around PR libffi/47248, force a read only eh frame section.

  Merge from gcc-4.6 (4.6-20110105-1) experimental; urgency=low

  [ Matthias Klose ]
  * Rename and update libobjc symbols files.
  * Update cloog/ppl build dependencies.
  * Adjust libstdc++ configure and paths for stylesheets and dtds.
  * Update copyright for libquadmath, libgo, gcc/go/gofrontend.
  * Enable Go for more architectures.
  * DP: libgo: Fix GOARCH for i386 biarch, add GOARCH for powerpc

  [ Kees Cook ]
  * Update hardening patches for GCC-4.6. LP: #696990.

  Merge from gcc-4.6 (4.6-20101220-1) maverick; urgency=low

  * GCC snapshot, taken from the trunk.

  Merge from gcc-4.5 (4.5.2-7) unstable; urgency=low

  * Update to SVN 20110323 (r171351) from the gcc-4_5-branch.
    - Fix PR c++/47125, PR fortran/47348, PR libstdc++/48114,
      PR libfortran/48066, PR target/48171, PR target/47862.

