=== debian/changelog ===
gnat-4.6 (4.6.1-1) unstable; urgency=low

  [Ludovic Brenta, Євгеній Мещеряков, Xavier Grave]
  * Adjust patches to GCC 4.6.
  * Remove patches merged upstream:
    - debian/patches/ada-arm-eabi.diff
    - debian/patches/ada-bug589164.diff
    - debian/patches/ada-bug601133.diff
    - debian/patches/ada-gnatvsn.diff
    - debian/patches/ada-mips.diff
    - debian/patches/ada-polyorb-dsa.diff
  
  [Ludovic Brenta]
  * debian/patches/ada-acats.diff: set LD_LIBRARY_PATH, ADA_INCLUDE_PATH
    and ADA_OBJECTS_PATH so that the GNAT testsuite runs.
  * debian/patches/adalibgnat{vsn,prj}.diff,
    debian/rules.d/binary-ada.mk: install libgnat{vsn,prj}.so.* in the correct
    multiarch directory.
  * debian/control.m4, debian/rules.d/binary-ada.mk: move the SJLJ version
    of the Ada run-time library to a new package, gnat-4.6-sjlj.
  * debian/control.m4 (libgnatvsn4.6, libgnatvsn4.6-dbg, libgnatprj4.6,
    libgnatprj4.6-dbg): pre-depend on multiarch-support and add
    Multi-Arch: same.

  [Nicolas Boulenguez]
  * debian/rules.d/binary-ada.mk: add gnathtml to the package gnat-4.6.
  * debian/gnat.1: remove the version number of GCC.  Mention gnathtml.
  * debian/rules (clean): remove debian/rules.parameters.

  Merge from gcc-4.6 (4.6.1-1) unstable; urgency=low

  [ Matthias Klose ]
  * Fix plugin header installation. Fixes: #631082.
  * Stop passing -Wno-error=unused-but-set-parameter and
    -Wno-error=unused-but-set-variable if -Werror is present.
    This was a temporary workaround introduced in 4.6.0~rc1-2. Fixes: #615157.
  * gcc-4.6-spu: Install the lto plugin. Fixes: #631772.

  Merge from gcc-4.6 (4.6.0-14) unstable; urgency=low

  * Update to SVN 20110616 (r175102) from the gcc-4_6-branch.
    - Fix PR debug/48459, PR fortran/49103, PR rtl-optimization/49390,
      PR c++/49117, PR c++/49369, PR c++/49290, PR target/44618,
      PR tree-optimization/49419 (fixes: #630567).
  * Update the Linaro support to the 4.6-2011.06-0 release.

  Merge from gcc-4.6 (4.6.0-13) unstable; urgency=low

  * Update to SVN 20110611 (r174958) from the gcc-4_6-branch.
  * Extend multiarch support for mips/mipsel.
  * Fix control files for gcj multiarch builds.
  * Update libstdc++ symbols files.

  Merge from gcc-4.6 (4.6.0-12) unstable; urgency=medium

  * Update to SVN 20110608 (r174800) from the gcc-4_6-branch.
    - PR target/49186, PR rtl-optimization/49235, PR tree-optimization/48702,
      PR tree-optimization/49243, PR c++/49134, PR target/49238,
      PR gcov-profile/49299, PR c++/48780, PR c++/49298, PR fortran/49268.
  * Fix c++ biarch header installation on i386. LP: #793411.
  * Enable multiarch.
  * Add multiarch attributes for gnat and libgnat packages.
  * Add multiarch attributes for libgcj* packages.
  * Adjust build dependency on multiarch glibc.

  Merge from gcc-4.6 (4.6.0-11) unstable; urgency=low

  * Update to SVN 20110604 (r174637) from the gcc-4_6-branch.
    - Fix PR c++/49165, PR tree-optimization/49218, PR target/45263,
      PR target/43700, PR target/43995, PR tree-optimization/49217,
      PR c++/49223, PR c++/47049, PR c++/47277, PR c++/48284, PR c++/48657,
      PR c++/49176, PR fortran/48955, PR tree-optimization/49038,
      PR tree-optimization/49093, PR middle-end/48985, PR middle-end/48953,
      PR c++/49276, PR fortran/49265, PR fortran/45786.
  * Configure the hppa64 and spu cross builds with --enable-plugin.

  Merge from gcc-4.6 (4.6.0-10) unstable; urgency=high

  * Update to SVN 20110526 (r174290) from the gcc-4_6-branch.
    - Fix PR target/44643, PR c++/49165, PR tree-optimization/49161,
      PR target/49128, PR tree-optimization/44897, PR target/49133,
      PR c++/44994, PR c++/49156, PR c++/45401, PR c++/44311, PR c++/44311,
      PR c++/45698, PR c++/46145, PR c++/46245, PR c++/46696, PR c++/47184,
      PR c++/48935, PR c++/45418, PR c++/45080, PR c++/48292, PR c++/49136,
      PR c++/49042, PR c++/48884, PR c++/49105, PR c++/47263, PR c++/47336,
      PR c++/47544, PR c++/48617, PR c++/48424, PR libstdc++/49141,
      PR libobjc/48177.
  * Proposed fix for PR tree-optimization/48702, PR tree-optimization/49144.
    Fixes: #627795.
  * Proposed fix for PR fortran/PR48955.
  * Add some conditionals to build the package on older releases.

  Merge from gcc-4.6 (4.6.0-9) unstable; urgency=low

  * Update to SVN 20110524 (r174102) from the gcc-4_6-branch.
    - Fix PR lto/49123, PR debug/49032, PR c/49120, PR middle-end/48973,
      PR target/49104, PR middle-end/49029, PR c++/48647, PR c++/48945,
      PR c++/48780, PR c++/49066, PR libstdc++/49058, PR target/49104.
  * Use gcc-4.4 as the bootstrap compiler for kfreebsd to work around
    a bootstrap issue.

  Merge from gcc-4.6 (4.6.0-8) unstable; urgency=low

  * Update to SVN 20110521 (r173994) from the gcc-4_6-branch.
    - Fix PR target/48986, PR preprocessor/48677, PR tree-optimization/48975,
      PR tree-optimization/48822, PR debug/48967, PR debug/48159,
      PR target/48857, PR target/48495, PR tree-optimization/48837,
      PR tree-optimization/48611, PR tree-optimization/48794, PR c++/48859,
      PR c++/48574, PR fortran/48889, PR target/49002, PR lto/48207,
      PR tree-optimization/49039, PR tree-optimization/49018, PR lto/48703,
      PR tree-optimization/48172, PR tree-optimization/48172, PR c++/48873,
      PR tree-optimization/49000, PR c++/48869, PR c++/49043, PR c++/49082,
      PR c++/48948, PR c++/48745, PR c++/48736, PR bootstrap/49086,
      PR tree-optimization/49079, PR tree-optimization/49073.
  * Update the Linaro support to the 4.6-2011.05-0 release.
  * pr45979.diff: Update to the version from the trunk.

  Merge from gcc-4.6 (4.6.0-7) unstable; urgency=low

  * Update to SVN 20110507 (r173528) from the gcc-4_6-branch.
    - Fix PR middle-end/48597, PR c++/48656, PR fortran/48112,
      PR fortran/48279, PR fortran/48788, PR tree-optimization/48809,
      PR target/48262, PR fortran/48462, PR fortran/48746,
      PR fortran/48810, PR fortran/48800, PR libstdc++/48760,

