=== debian/control ===
Source: gnat-4.6
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Ludovic Brenta <lbrenta@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.16.0~ubuntu4), debhelper (>= 5.0.62), g++-4.4 [armel], g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64], g++-4.4 [kfreebsd-amd64 kfreebsd-i386], g++-multilib [kfreebsd-amd64], libc6.1-dev (>= 2.13-5) [alpha ia64] | libc0.3-dev (>= 2.13-5) [hurd-i386] | libc0.1-dev (>= 2.13-5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-5), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64], lib64gcc1 [i386 powerpc sparc s390], libc6-dev-mips64 [mips mipsel], libc6-dev-mipsn32 [mips mipsel], m4, libtool, autoconf2.64, automake (>= 1:1.11), automake (<< 1:1.12), libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], zlib1g-dev, gawk, lzma, xz-utils, patchutils, binutils (>= 2.21.51~) | binutils-multiarch (>= 2.21.51~), binutils-hppa64 (>= 2.21.51~) [hppa], gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, texinfo (>= 4.3), locales [!m68k !knetbsd-i386 !knetbsd-alpha], procps, sharutils, gnat (>= 4.1), gcc-4.6-source (>= 4.6.1), gcc-4.6-source (<< 4.6.2), libcloog-ppl-dev (>= 0.15.9-2~), libmpc-dev, libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), libelfg0-dev (>= 0.8.12), dejagnu [!m68k !hurd-i386 !hurd-alpha], realpath (>= 1.9.12), chrpath, lsb-release, make (>= 3.81), quilt
Build-Depends-Indep:  
Build-Conflicts: binutils-gold
Homepage: http://gcc.gnu.org/
XS-Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.6/
XS-Vcs-Svn: svn://svn.debian.org/svn/gcccvs/branches/sid/gcc-4.6

Package: gnat-4.6-base
Architecture: any
Section: libs
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (gnat base package)
 This package contains files common to all Ada related packages
 built from the GNU Compiler Collection (GCC).

Package: gnat-4.6
Architecture: any
Priority: optional
Pre-Depends: multiarch-support
Depends: gnat-4.6-base (= ${gnat:Version}), gcc-4.6 (>= ${gcc:SoftVersion}), ${dep:libgnat}, ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat-4.6-doc, ada-reference-manual, gnat-4.6-sjlj
Provides: ada-compiler
Conflicts: gnat (<< 4.1), gnat-3.1, gnat-3.2, gnat-3.3, gnat-3.4, gnat-3.5, gnat-4.0, gnat-4.1, gnat-4.2, gnat-4.3, gnat-4.4
Description: GNU Ada compiler
 This is the GNU Ada compiler, which compiles Ada on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This package provides the compiler, tools and run-time library that
 handles exceptions using the default zero-cost mechanism.

Package: gnat-4.6-sjlj
Architecture: any
Priority: extra
Pre-Depends: multiarch-support
Depends: gnat-4.6-base (= ${gnat:Version}), gnat-4.6 (= ${gnat:Version}), ${misc:Depends}
Description: setjump/longjump run-time library for the GNU Ada compiler
 This is the GNU Ada compiler, which compiles Ada on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This package provides an alternative run-time library that handles
 exceptions using the setjump/longjump mechanism (as a static library
 only).  You can install it to supplement the gnat-4.6 package.

Package: libgnat-4.6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Depends: gnat-4.6-base (= ${gnat:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Ada applications
 Library needed for GNU Ada applications linked against the shared library.

Package: libgnat-4.6-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Depends: gnat-4.6-base (= ${gnat:Version}), libgnat-4.6 (= ${gnat:Version}), ${misc:Depends}
Recommends: gnat-gdb (>= 6.4)
Description: Runtime library for GNU Ada applications
 Debugging symbols for the library needed for GNU Ada applications linked
 against the shared library.

Package: libgnatvsn4.6-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: gnat-4.6-base (= ${gnat:Version}), gnat-4.6 (= ${gnat:Version}), ada-compiler,
 libgnatvsn4.6 (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatvsn-dev (<< 4.6), libgnatvsn4.1-dev, libgnatvsn4.3-dev, libgnatvsn4.4-dev, libgnatvsn4.5-dev
Description: GNU Ada compiler version library - development files
 This library exports selected components of GNAT, the GNU Ada compiler, for use
 in other packages, most notably ASIS and ASIS-based packages.  It is licensed
 under the GNAT-Modified GPL, allowing to link proprietary programs with it.
 .
 This package contains the development files and static library.

Package: libgnatvsn4.6
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.6-base (= ${gnat:Version}), libgnat-4.6 (= ${gnat:Version}), ${misc:Depends}
Description: GNU Ada compiler version library
 This library exports selected components of GNAT, the GNU Ada compiler, for use
 in other packages, most notably ASIS and ASIS-based packages.  It is licensed
 under the GNAT-Modified GPL, allowing to link proprietary programs with it.
 .
 This package contains the run-time shared library.

Package: libgnatvsn4.6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.6-base (= ${gnat:Version}), libgnatvsn4.6 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNU Ada compiler version library
 This library exports selected components of GNAT, the GNU Ada compiler, for use
 in other packages, most notably ASIS and ASIS-based packages.  It is licensed
 under the GNAT-Modified GPL, allowing to link proprietary programs with it.
 .
 This package contains the debugging symbols for the run-time shared library.

Package: libgnatprj4.6-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: gnat-4.6-base (= ${gnat:Version}), gnat-4.6 (= ${gnat:Version}), ada-compiler,
 libgnatprj4.6 (= ${gnat:Version}), libgnatvsn4.6-dev (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatprj-dev (<< 4.6), libgnatprj4.1-dev, libgnatprj4.3-dev, libgnatprj4.4-dev, libgnatprj4.5-dev
Description: GNU Ada Project Manager development files
 GNAT, the GNU Ada compiler, uses project files to organise source and object
 files in large-scale development efforts.  Several other tools, such as
 ASIS tools (package asis-programs) and GNAT Programming Studio (package
 gnat-gps) also use project files.  This library contains the necessary
 support; it was built from GNAT itself.  It is licensed under the pure GPL;
 all programs that use it must also be distributed under the GPL, or not
 distributed at all.
 .
 This package contains development files: install it to develop applications
 that understand GNAT project files.

Package: libgnatprj4.6
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.6-base (= ${gnat:Version}), libgnat-4.6 (= ${gnat:Version}), libgnatvsn4.6 (= ${gnat:Version}), ${misc:Depends}
Description: GNU Ada Project Manager
 GNAT, the GNU Ada compiler, uses project files to organise source and object
 files in large-scale development efforts.  Several other tools, such as
 ASIS tools (package asis-programs) and GNAT Programming Studio (package
 gnat-gps) also use project files.  This library contains the necessary
 support; it was built from GNAT itself.  It is licensed under the pure GPL;
 all programs that use it must also be distributed under the GPL, or not
 distributed at all.
 .
 This package contains the run-time shared library.

Package: libgnatprj4.6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.6-base (= ${gnat:Version}), libgnatprj4.6 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat, ada-compiler
Description: GNU Ada Project Manager
 GNAT, the GNU Ada compiler, uses project files to organise source and object
 files in large-scale development efforts.  Several other tools, such as
 ASIS tools (package asis-programs) and GNAT Programming Studio (package
 gnat-gps) also use project files.  This library contains the necessary
 support; it was built from GNAT itself.  It is licensed under the pure GPL;
 all programs that use it must also be distributed under the GPL, or not
 distributed at all.
 .
 This package contains the debugging symbols for the run-time shared library.
