## gnat-4.6 4.6.1-4ubuntu4

=== debian/changelog ===
gnat-4.6 (4.6.1-4ubuntu4) oneiric; urgency=low

  * Sync packaging with gcc-4.6 4.6.1-9ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2011 16:19:45 +0200

gnat-4.6 (4.6.1-4ubuntu3) oneiric; urgency=low

  * Sync packaging with gcc-4.6 4.6.1-7ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Aug 2011 09:49:13 +0200

gnat-4.6 (4.6.1-4ubuntu2) oneiric; urgency=low

  * Disable multilib on armel, armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Aug 2011 13:46:26 +0200

gnat-4.6 (4.6.1-4ubuntu1) oneiric; urgency=low

  * Merge gcc-4.6 packaging, fixing build on armel, armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Aug 2011 07:50:41 +0200

gnat-4.6 (4.6.1-4) unstable; urgency=low

  * debian/patches/ada-symbolic-tracebacks.diff
    (src/gcc/ada/gcc-interface/Makefile.in): pass -iquote instead of -I-
    to gnatgcc; fixes FTBFS on i386 and closes: #637418.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 11 Aug 2011 20:45:34 +0200

gnat-4.6 (4.6.1-3) unstable; urgency=low
  
  [Євгеній Мещеряков]
  * debian/patches/ada-mips.diff: do not use the alternate stack on mips,
    as on mipsel.  Closes: #566234.
  
  [Ludovic Brenta]
  * debian/patches/pr49940.diff: new; copy the definition of function
    lwp_self from s-osinte-freebsd.ads to s-osinte-kfreebsd-gnu.ads.
    Closes: #636291.
  * debian/patches/pr49944.diff: new.  Closes: #636692.
  * debian/patches/pr49819.diff: drop, merged upstream.

  Merge from gcc-4.6 (4.6.1-6) unstable; urgency=low

  * Update to SVN 20110807 (r177547) from the gcc-4_6-branch.
    - Fix PR rtl-optimization/49799, PR debug/49871, PR target/47364,
      PR target/49866, PR tree-optimization/49671, PR target/39386,
      PR ada/49819, PR fortran/45586, PR fortran/49791, PR middle-end/49897,
      PR middle-end/49898, PR target/49920, PR target/47908 (fixes: #635919),
      PR c++/43886, PR c++/49593, PR c++/49803, PR c++/49924, PR c++/49260,
      PR fortran/49885, PR fortran/48876, PR libstdc++/49925, PR target/50001,
      PR tree-optimization/49948, PR c++/48993, PR c++/49921, PR c++/49669,
      PR c++/49988, PR fortran/49112.

  [ Aurelien Jarno ]
  * Update patches/kbsd-gnu.diff for recent changes. Fixes: #635195.
  * Add s390x support.

  [ Marcin Juszkiewicz ]
  * Fixes for multilib cross builds. LP: #816852, #819147.

  [ Matthias Klose ]
  * Fix libgo installation for cross builds.
  * Only apply arm-multilib when building for multilib.

  Merge from gcc-4.6 (4.6.1-5) unstable; urgency=low

  * Update to SVN 20110723 (r176672) from the gcc-4_6-branch.
    - Fix PR target/49541, PR tree-optimization/49768, PR middle-end/49675,
      PR target/49746, PR middle-end/49732, PR tree-optimization/49725,
      PR target/49723, PR target/49541, PR tree-opt/49309, PR c++/49785,
      PR ada/48711, PR ada/46350, PR fortran/49648, PR testsuite/49753,
      PR tree-optimization/49309, PR tree-optimization/45819, PR target/49600,
      PR fortran/49708, PR libstdc++/49293.
  * Update the Linaro support to the 4.6-2011.07-0 release.
    - Fix PR target/49335. LP: #791327.
  * Update gcc-multiarch:
    - Add -print-multiarch option.
    - Fix library path for non-default multilib(s).
    - Handle `.' in MULTILIB_DIRNAMES.
  * Add support to build multilib on armel and armhf, only enable it for
    Ubuntu/oneiric. LP: #810360.
  * cpp-4.6: Add empty multiarch directories for the non-default multilibs,
    needed for relative lookups from startfile_prefixes.
  * Fix PR c++/49756, backport from trunk. LP: #721378.
  * libgcc1: Add breaks to gcc-4.1 and gcc-4.3. Fixes: #634821.
  * Configure for DEB_TARGET_MULTIARCH defaults.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  8 Aug 2011 20:30:23 +0200

gnat-4.6 (4.6.1-2) unstable; urgency=low
  
  [Aurelien Jarno]
  * debian/patches/ada-mips.diff: work around a bootstrap comparison
    failure on mips and mipsel.  Closes: #634881, pending a proper fix.
  
  [Ludovic Brenta]
  * debian/patches/pr49819.diff: new.  Closes: #635112.

  Merge from gcc-4.6 (4.6.1-4) unstable; urgency=low

  * Update to SVN 20110714 (r176280) from the gcc-4_6-branch.
    - Fix PR tree-optimization/49094, PR target/39633, PR c++/49672,
      PR fortran/49698, PR fortran/49690, PR fortran/49562, PR libfortran/49296,
      PR target/49487, PR tree-optimization/49651, PR ada/48711.

  [ Matthias Klose ]
  * Build Go on alpha for gcc-snapshot builds.
  * For multicore ARM, clear both caches, not just the dcache (proposed
    patch by Andrew Haley).
  * Fix for PR rtl-optimization/{48830,48808,48792}, taken from the trunk.
    LP: #807573.
  * Fix PR tree-optimization/49169, optimisations strip the Thumb/ARM mode bit
    off function pointers (Richard Sandiford). LP: #721531.

  [ Marcin Juszkiewicz ]
  * Define DEB_TARGET_MULTIARCH macro.
  * debian/rules2: Macro and configuration consolidation.

  Merge from gcc-4.6 (4.6.1-3) unstable; urgency=medium

  * Update to SVN 20110709 (r176108) from the gcc-4_6-branch.
    - Fix PR target/49335, PR tree-optimization/49618, PR c++/49598,
      PR fortran/49479, PR target/49621, PR target/46779, PR target/49660,
      PR c/49644, PR debug/49522, PR debug/49522, PR middle-end/49640,
      PR c++/48157, PR c/49644, PR fortran/48926.
    - Apparently fixes a boost issue. Fixes: #632938.
  * Apply proposed patch for PR fortran/49690. Fixes: #631204.

  * README.Debian: New section 'Former and/or inactive maintainers'.

  Merge from gcc-4.6 (4.6.1-2) unstable; urgency=medium

  * Update to SVN 20110705 (r175840) from the gcc-4_6-branch.
    - Fix PR target/47997, PR c++/49528, PR c++/49440, PR c++/49418,
      PR target/44643, PR tree-optimization/49615, PR tree-optimization/49572,
      PR target/34734, PR tree-optimization/49539, PR tree-optimizations/49516,
      PR target/49089, PR rtl-optimization/49014, PR target/48273,
      PR fortran/49466, PR libfortran/49296, PR libffi/46660, PR debug/49262,
      PR rtl-optimization/49472, PR rtl-optimization/49619, PR fortran/49623,

